> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List audit logs



## OpenAPI

````yaml /openapi/audit-logs.json get /audit-logs
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /audit-logs:
    get:
      tags:
        - Audit Logs
      summary: List audit logs
      operationId: auditLogs.list
      parameters:
        - name: filter
          in: query
          schema:
            type: object
            properties:
              resource:
                anyOf:
                  - enum:
                      - client
                      - transaction
                      - alert
                      - alert-item
                      - address
                      - bank-account
                      - contact-method
                      - document
                      - evidence
                      - report
                      - product
                      - tag
                      - workflow
                      - workflow-variable
                      - workflow-execution
                      - workflow-template
                      - api-key
                      - user
                      - user-role
                      - tenant
                      - custom-reference-data
                      - risk-assessment
                      - exchange-rate
                      - screening
                      - verification
                      - signable-template
                      - signable-template-consent
                      - signature-event
                      - terms-and-conditions
                    type: string
                  - type: object
                    properties:
                      eq:
                        enum:
                          - client
                          - transaction
                          - alert
                          - alert-item
                          - address
                          - bank-account
                          - contact-method
                          - document
                          - evidence
                          - report
                          - product
                          - tag
                          - workflow
                          - workflow-variable
                          - workflow-execution
                          - workflow-template
                          - api-key
                          - user
                          - user-role
                          - tenant
                          - custom-reference-data
                          - risk-assessment
                          - exchange-rate
                          - screening
                          - verification
                          - signable-template
                          - signable-template-consent
                          - signature-event
                          - terms-and-conditions
                        type: string
                      in:
                        type: array
                        items:
                          enum:
                            - client
                            - transaction
                            - alert
                            - alert-item
                            - address
                            - bank-account
                            - contact-method
                            - document
                            - evidence
                            - report
                            - product
                            - tag
                            - workflow
                            - workflow-variable
                            - workflow-execution
                            - workflow-template
                            - api-key
                            - user
                            - user-role
                            - tenant
                            - custom-reference-data
                            - risk-assessment
                            - exchange-rate
                            - screening
                            - verification
                            - signable-template
                            - signable-template-consent
                            - signature-event
                            - terms-and-conditions
                          type: string
                      nin:
                        type: array
                        items:
                          enum:
                            - client
                            - transaction
                            - alert
                            - alert-item
                            - address
                            - bank-account
                            - contact-method
                            - document
                            - evidence
                            - report
                            - product
                            - tag
                            - workflow
                            - workflow-variable
                            - workflow-execution
                            - workflow-template
                            - api-key
                            - user
                            - user-role
                            - tenant
                            - custom-reference-data
                            - risk-assessment
                            - exchange-rate
                            - screening
                            - verification
                            - signable-template
                            - signable-template-consent
                            - signature-event
                            - terms-and-conditions
                          type: string
                description: Resource
              operation:
                anyOf:
                  - enum:
                      - create
                      - update
                      - delete
                      - download
                      - validate
                      - propagate
                      - fetch
                      - sign
                      - decline
                      - cancel
                      - webhook-received
                      - accept
                    type: string
                  - type: object
                    properties:
                      eq:
                        enum:
                          - create
                          - update
                          - delete
                          - download
                          - validate
                          - propagate
                          - fetch
                          - sign
                          - decline
                          - cancel
                          - webhook-received
                          - accept
                        type: string
                      in:
                        type: array
                        items:
                          enum:
                            - create
                            - update
                            - delete
                            - download
                            - validate
                            - propagate
                            - fetch
                            - sign
                            - decline
                            - cancel
                            - webhook-received
                            - accept
                          type: string
                      nin:
                        type: array
                        items:
                          enum:
                            - create
                            - update
                            - delete
                            - download
                            - validate
                            - propagate
                            - fetch
                            - sign
                            - decline
                            - cancel
                            - webhook-received
                            - accept
                          type: string
                description: Operation
              resourceId:
                anyOf:
                  - type: string
                    format: uuid
                  - type: object
                    properties:
                      eq:
                        type: string
                        format: uuid
                      in:
                        type: array
                        items:
                          type: string
                          format: uuid
                      nin:
                        type: array
                        items:
                          type: string
                          format: uuid
                description: Resource ID
              actorType:
                anyOf:
                  - enum:
                      - user
                      - api_key
                      - system
                      - provider
                    type: string
                  - type: object
                    properties:
                      eq:
                        enum:
                          - user
                          - api_key
                          - system
                          - provider
                        type: string
                      in:
                        type: array
                        items:
                          enum:
                            - user
                            - api_key
                            - system
                            - provider
                          type: string
                      nin:
                        type: array
                        items:
                          enum:
                            - user
                            - api_key
                            - system
                            - provider
                          type: string
                description: Actor Type
              actorId:
                anyOf:
                  - type: string
                  - type: object
                    properties:
                      eq:
                        type: string
                      contains:
                        type: string
                      startsWith:
                        type: string
                      endsWith:
                        type: string
                      in:
                        type: array
                        items:
                          type: string
                      nin:
                        type: array
                        items:
                          type: string
                description: Actor ID
              createdAt:
                anyOf:
                  - type: string
                    format: date-time
                  - type: object
                    properties:
                      eq:
                        type: string
                        format: date-time
                      gt:
                        type: string
                        format: date-time
                      gte:
                        type: string
                        format: date-time
                      lt:
                        type: string
                        format: date-time
                      lte:
                        type: string
                        format: date-time
                description: Created At
          style: deepObject
          explode: true
          allowEmptyValue: true
          allowReserved: true
        - name: cursor
          in: query
          schema:
            type: string
          allowEmptyValue: true
          allowReserved: true
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 200
            default: 20
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        resource:
                          type: string
                        operation:
                          type: string
                        resourceId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        actorType:
                          type: string
                        actorId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        ipAddress:
                          anyOf:
                            - type: string
                            - type: 'null'
                        userAgent:
                          anyOf:
                            - type: string
                            - type: 'null'
                        requestId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        changes:
                          anyOf:
                            - type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                            - type: 'null'
                        metadata:
                          anyOf:
                            - type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                            - type: 'null'
                        createdAt:
                          type: string
                      required:
                        - id
                        - resource
                        - operation
                        - resourceId
                        - actorType
                        - actorId
                        - ipAddress
                        - userAgent
                        - requestId
                        - changes
                        - metadata
                        - createdAt
                  pagination:
                    type: object
                    properties:
                      hasMore:
                        type: boolean
                      nextCursor:
                        type: string
                      totalCount:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - hasMore
                required:
                  - data
                  - pagination
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````